"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const runner_1 = require("../../lib/runner");
const assert_1 = __importDefault(require("assert"));
function load(commander) {
    commander.program
        .command('revert [name]')
        .description('Revert a migration')
        .option('--path [path]', 'path to migrations location (default: migrations)')
        .option('--collection [collectionName]', 'database collection name (default: migrations)')
        .option('--force', 'force revert of a migration')
        .option('--dry-run [dryRun]', 'run migrations without applying changes to db')
        .action(async (name, options) => void assert_1.default.ok(name, 'Name should be provided') || runner_1.Runner.instance(options).revert(!!options.dryRun, !!options.force, name));
}
exports.load = load;
