"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const runner_1 = require("../../lib/runner");
function load(commander) {
    commander.program
        .command('run [name]')
        .description('Run either all migration or a single migration by name')
        .option('--path [path]', 'path to migrations location (default: migrations)')
        .option('--collection [collectionName]', 'database collection name (default: migrations)')
        .option('--force', 'force run a migration')
        .option('--dry-run [dryRun]', 'run migrations without applying changes to db')
        .action(async (name, options) => runner_1.Runner.instance(options).run(!!options.dryRun, !!options.force, name));
}
exports.load = load;
