import { IMigrationLog, IRunnerOptions } from './types';
export declare class Runner {
    private readonly app;
    private readonly firestore;
    private readonly migrationCollection;
    private readonly migrationsDir?;
    private constructor();
    static instance(options: IRunnerOptions): Runner;
    private migrate;
    private rollback;
    revert(dryRun: boolean, force: boolean, searchString?: string): Promise<void>;
    run(dryRun: boolean, force: boolean, searchString?: string): Promise<void>;
    private createMigration;
    private createMigrationInput;
    private saveMigrationLog;
    private removeMigrationLog;
    getExecutedMigrationLogs(): Promise<[string, IMigrationLog][]>;
}
